Subject: Re: bug#16558: 24.3.50; w32-shell-execute does not open url behind proxy

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Jan 2014 21:46:38 +0200

> Date: Sun, 26 Jan 2014 11:58:19 +0100
> From: "Stefan-W. Hahn" <[email-masked]>
> 
> Because of commit 0c082e1484a3 (git://git.sv.gnu.org/emacs.git), which fixes
> bug #16252, I ran into a problem when calling w32-shell-execute or
> browse-url on a url (http/https).
> 
> Because I have to work behind a NTLM proxy I have to authenticate and
> therfor I use Internet Explorer.
> 
> Because of the fix in the above commit w32-shell-execute (and also
> browse-url) now call Ffile_exists_p on the url. This is translated into
> url-file-exists-p, which tries to load the url; this does not work because
> of the proxy. (And if this works, when not having a proxy, the file ist
> loaded, and then the Interne Explorer is called on the same url; double
> loading).
> 
> To solve this for me I set:
> 
>   (put 'file-exists-p 'url-file-handlers 'ignore)
> 
> I'm not sure if this is the right solution in all cases.

Would it help in your case to disable file handlers when calling
Ffile_exists_p?